# Tofu
Tofu is a theorem prover for first-order equational systems.
## How to build
1. Install
- GNU/Make
- Glasgow Haskell Compiler 8.6.5 (or higher)
- Z3 version 4.8.12 (or higher)
2. `$ make` produces the executable `tofu`.

## How to run
Tofu accepts TPTP format. https://www.tptp.org/
For example, 

    $ ./tofu commutation.p
    ...
    % SZS status Satisfiable

shows the commutation law `x * y = y * x` is not valid in the theory of group.
For another example,

    $ ./tofu inverse_unit.p
    ...
    % SZS status Unsatisfiable

shows `e^(-1) = e` is valid in the theory of group.

For the help message, type `$ ./tofu -h`.

## Authors
- Teppei Saito
- Nao Hirokawa
